org.apache.xmlbeans.impl.xpathgen

## Class XPathGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmlbeans.XmlException
      - - org.apache.xmlbeans.impl.xpathgen.XPathGenerationException

- All Implemented Interfaces:
    Serializable

      public class XPathGenerationException
      extends XmlException

  An exception thrown if the XPath generation process can't complete
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathGenerationException(String m)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlbeans.XmlException

      `getError, getErrors`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathGenerationException

          public XPathGenerationException(String m)